org.firstinspires.ftc.robotcore.external.navigation

## Enum AxesReference

- java.lang.Object
- - java.lang.Enum<AxesReference>
  - - org.firstinspires.ftc.robotcore.external.navigation.AxesReference

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AxesReference>

      public enum AxesReference
      extends java.lang.Enum<AxesReference>

  `AxesReference` indicates whether we have intrinsic rotations, where the axes move with the object that is rotating, or extrinsic rotations, where they remain fixed in the world around the object.
  See Also:
    `Orientation`, `AxesOrder`, Euler Angles

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXTRINSIC`
    `INTRINSIC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AxesReference` | `reverse()`
    `static AxesReference` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AxesReference[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXTRINSIC

          public static final AxesReference EXTRINSIC

    - #### INTRINSIC

          public static final AxesReference INTRINSIC

  - ### Method Detail

    - #### values

          public static AxesReference[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AxesReference c : AxesReference.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AxesReference valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### reverse

          public AxesReference reverse()